﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:resx="clr-namespace:MyADA.Common.Views.Properties;assembly=MyADA.Common.Views"
             xmlns:ctrl="clr-namespace:CoreSDK.Controls;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:ContentView="clr-namespace:MyADA.Common.Views.ContentViews;assembly=MyADA.Common.Views"
             xmlns:adabh="clr-namespace:CoreSDK.Behaviors;assembly=CoreSDK.MicroFramework.XamarinForms"
             x:Class="MyADA.Common.Views.MyReportView" BackgroundColor="Transparent">

  <Grid x:Name="mainGrid" Grid.RowSpacing="0">

    <Grid.Behaviors>
      <adabh:ActivityIndicatorBehavior Label="{Static resx:Resources.Button_ActivityIndicator_Label}" />
    </Grid.Behaviors>
    
    <Grid.Padding>
      <OnPlatform x:TypeArguments="Thickness" iOS="0,20,0,0" Android="0" WinPhone="0" />
    </Grid.Padding>
    
    <Grid.RowDefinitions>
      <RowDefinition Height="50"/>
      <RowDefinition Height="*"/>
      <RowDefinition Height="Auto"/>
    </Grid.RowDefinitions>

    <!--HEADER-->
    <ContentView:Header Grid.Row="0"/>
    <ContentView:AdaFilter Grid.Row="0" HorizontalOptions="EndAndExpand"/>
    
    <!--CONTENT-->
    <Grid Grid.Row="1">
      <Grid.RowDefinitions>
        <RowDefinition Height="Auto"/>
      </Grid.RowDefinitions>

      <Grid Grid.Row="0" Grid.RowSpacing="0" Padding="{StaticResource VIEW_PADDING}">
        <Grid.RowDefinitions>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>

        <!--TITLE-->
        <StackLayout Grid.Row="0" HeightRequest="{StaticResource TITLE_HEIGHT}" BackgroundColor="{DynamicResource BoxTitleBackgroundColor}">
          <ctrl:NormalFontLabel Text="{Static resx:Resources.MyReport_Report_Text}" Style="{DynamicResource BoxTitleStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
        </StackLayout>

        <!--LEADS REPORT-->
        <Grid Grid.Row="1" Grid.ColumnSpacing="0" Grid.RowSpacing="0" IsVisible="{Binding ShowReportForManager}">
          <Grid.RowDefinitions>
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
            <RowDefinition Height="*" />
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          </Grid.RowDefinitions>

          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0.7" />
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="0.7" />
          </Grid.ColumnDefinitions>

          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

          <Grid Grid.Column="1" Grid.Row="1" RowSpacing="10" Padding="10" BackgroundColor="{DynamicResource BoxItemBackgroundColor}">
            <Grid.RowDefinitions>
              <RowDefinition Height="Auto"/>
              <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
            
            <!--Leads Report-->
            <ctrl:ExtendedBoldFontLabel Grid.Row="0" Text="{Static resx:Resources.MyReport_LeadsReport_Text}" Style="{DynamicResource BoxTitleItemStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="StartAndExpand"/>

            <!--Picker Leads Report-->
            <ContentView:AdaPicker x:Name="picker_LeadsReport" Grid.Row="1" ItemSource="{Binding UsersCollections}" HeaderText="{Binding UserPickerHeaderText}"
                                   Placeholder="{Binding UserPickerPickerPlaceHolder}" PlaceholderPadding="10,0,0,0" PickerType="UnifiedBorders"
                                   Style="{DynamicResource MyReportAdaPickerStyle}" BackgroundColor="#EAEAEA" ForwardImageStackColor="#C0C0C0" HeightRequest="{StaticResource PICKER_HEIGHT}">
              <ContentView:AdaPicker.ItemTemplate>
                  <DataTemplate>
                    <Grid ColumnSpacing="0" RowSpacing="0">
                      <Grid.RowDefinitions>
                        <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                        <RowDefinition Height="*" />
                        <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                      </Grid.RowDefinitions>

                      <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="0.7" />
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="0.7" />
                      </Grid.ColumnDefinitions>

                      <StackLayout Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>
                      <StackLayout Grid.Column="0" Grid.Row="2" Grid.ColumnSpan="3" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>
                      <StackLayout Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>

                      <Grid Grid.Column="1" Grid.Row="1" ColumnSpacing="10" Padding="20" BackgroundColor="Transparent">
                        <Grid.GestureRecognizers>
                          <TapGestureRecognizer Command="{Binding Path=BindingContext.SelectedUserCommand, Source={x:Reference picker_LeadsReport}}" CommandParameter="{Binding }" />
                        </Grid.GestureRecognizers>
                        <Grid.ColumnDefinitions>
                          <ColumnDefinition Width="Auto"/>
                          <ColumnDefinition Width="*"/>
                        </Grid.ColumnDefinitions>
                        
                        <Image Grid.Column="0" Style="{DynamicResource ArrowSingleRedImageStyle}"/>
                        <ctrl:NormalFontLabel Grid.Column="1" Text="{Binding FullName}" Style="{DynamicResource PickerItemLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand" VerticalTextAlignment="Center" />
                      </Grid>
                    </Grid>
                  </DataTemplate>
              </ContentView:AdaPicker.ItemTemplate>
            </ContentView:AdaPicker>
          
        </Grid>
        </Grid>

        <!--VIEW REPORT-->
        <Grid Grid.Row="2" Grid.ColumnSpacing="0" Grid.RowSpacing="0" IsVisible="{Binding ShowReportForManager}">
          <Grid.RowDefinitions>
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
            <RowDefinition Height="*" />
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          </Grid.RowDefinitions>

          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0.7" />
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="0.7" />
          </Grid.ColumnDefinitions>

          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

          <Grid Grid.Column="1" Grid.Row="1" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" Padding="10,30">
            <Grid.GestureRecognizers>
              <TapGestureRecognizer Command="{Binding ShowLeadReportCommand}"/>
            </Grid.GestureRecognizers>
            <Grid.ColumnDefinitions>
              <ColumnDefinition Width="*"/>
              <ColumnDefinition Width="20"/>
              <ColumnDefinition Width="1.5*"/>
            </Grid.ColumnDefinitions>

            <Image Grid.Column="0" Style="{DynamicResource NewHistogramOutlineImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
            <Image Grid.Column="1" Style="{DynamicResource ArrowSingleRedImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
            <ctrl:NormalFontLabel Grid.Column="2" Text="{Static resx:Resources.BoxItem_ViewReport_Text}" Style="{DynamicResource BoxLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
          </Grid>

        </Grid>

        <!--CONSOLIDATED METRICS-->
        <Grid Grid.Row="3" Grid.ColumnSpacing="0" Grid.RowSpacing="0" IsVisible="{Binding ShowReportForSimpleUser}">
          <Grid.RowDefinitions>
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
            <RowDefinition Height="*" />
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          </Grid.RowDefinitions>

          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0.7" />
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="0.7" />
          </Grid.ColumnDefinitions>

          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

          <StackLayout Grid.Column="1" Grid.Row="1" Orientation="Vertical" Spacing="10" Padding="10" BackgroundColor="{DynamicResource BoxItemBackgroundColor}">
            <ctrl:ExtendedBoldFontLabel Text="{Static resx:Resources.MyReport_ConsolidatedMetrics_Text}" Style="{DynamicResource BoxTitleItemStyle}" LineBreakMode="WordWrap" HorizontalOptions="StartAndExpand" VerticalOptions="StartAndExpand"/>

            <!--Picker Consolidated Metrics-->
            <ContentView:AdaPicker x:Name="picker_ConsolidatedMetrics" ItemSource="{Binding ShowRoomCollections}" HeaderText="{Binding ShowRoomPickerHeaderText}" IsVisible="{Binding ShowShowroomPicker}"
                                   Placeholder="{Binding ShowRoomPickerPlaceHolder}" PlaceholderFontSize="14" PlaceholderPadding="10,0,0,0" PlaceholderHorizontalTextAllignment="Start"
                                   PickerType="UnifiedBorders" BackgroundColor="#EAEAEA" ForwardImageStackColor="#C0C0C0" HeightRequest="35">
              <ContentView:AdaPicker.ItemTemplate>
                <DataTemplate>
                  <Grid ColumnSpacing="0" RowSpacing="0">
                    <Grid.RowDefinitions>
                      <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                      <RowDefinition Height="*" />
                      <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                    </Grid.RowDefinitions>

                    <Grid.ColumnDefinitions>
                      <ColumnDefinition Width="0.7" />
                      <ColumnDefinition Width="*" />
                      <ColumnDefinition Width="0.7" />
                    </Grid.ColumnDefinitions>

                    <StackLayout Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>
                    <StackLayout Grid.Column="0" Grid.Row="2" Grid.ColumnSpan="3" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>
                    <StackLayout Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>

                    <Grid Grid.Column="1" Grid.Row="1" Grid.RowSpacing="0" Padding="20" BackgroundColor="Transparent">
                      <Grid.GestureRecognizers>
                        <TapGestureRecognizer Command="{Binding Path=BindingContext.SelectedShowroomCommand, Source={x:Reference picker_ConsolidatedMetrics}}" CommandParameter="{Binding }" />
                      </Grid.GestureRecognizers>

                      <ctrl:NormalFontLabel Text="{Binding Name}" Style="{DynamicResource PickerItemLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand" VerticalTextAlignment="Center" />
                    </Grid>
                  </Grid>
                </DataTemplate>
              </ContentView:AdaPicker.ItemTemplate>
            </ContentView:AdaPicker>
            
          </StackLayout>
        </Grid>

        <!--VIEW REPORT-->
        <Grid Grid.Row="4" Grid.ColumnSpacing="0" Grid.RowSpacing="0" IsVisible="{Binding ShowReportForSimpleUser}">
          <Grid.RowDefinitions>
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
            <RowDefinition Height="*" />
            <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          </Grid.RowDefinitions>

          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0.7" />
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="0.7" />
          </Grid.ColumnDefinitions>

          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
          <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

          <Grid Grid.Column="1" Grid.Row="1" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" Padding="10,30">
            <Grid.GestureRecognizers>
              <TapGestureRecognizer Command="{Binding ShowConsolidatedMetricsCommand}"/>
            </Grid.GestureRecognizers>
            <Grid.ColumnDefinitions>
              <ColumnDefinition Width="*"/>
              <ColumnDefinition Width="20"/>
              <ColumnDefinition Width="1.5*"/>
            </Grid.ColumnDefinitions>

            <Image Grid.Column="0" Style="{DynamicResource NewHistogramOutlineImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
            <Image Grid.Column="1" Style="{DynamicResource ArrowSingleRedImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
            <ctrl:NormalFontLabel Grid.Column="2" Text="{Static resx:Resources.BoxItem_ViewReport_Text}" Style="{DynamicResource BoxLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
          </Grid>

        </Grid>
      </Grid>
    </Grid>

    <!--FIXED BUTTON-->
    <StackLayout x:Name="CustomButtonStack" Grid.Row="2" IsVisible="{Binding ShowShowroomPicker}" HeightRequest="{StaticResource BUTTON_FIXED_HEIGHT}" Style="{DynamicResource FixedButtonStyle}">
      <StackLayout.GestureRecognizers>
        <TapGestureRecognizer Command="{Binding ShowOverAllCommand}"/>
      </StackLayout.GestureRecognizers>
      <ctrl:BoldFontLabel Text="{Static resx:Resources.Korea_Report}" Style="{DynamicResource FixedButtonLabelStyle}"/>
    </StackLayout>
    
    <!--CUSTOM BUTTON-->
    <!--<StackLayout Grid.Row="2" HeightRequest="50" BackgroundColor="Transparent" x:Name="CustomButtonStack" IsVisible="{Binding ShowShowroomPicker}">
      <ctrl:CustomButton ButtonLabel="{Static resx:Resources.Korea_Report}" Style="{DynamicResource FixedButtonStyle}" TapCommand="{Binding ShowOverAllCommand}" />
    </StackLayout>-->

    <!--FILTRE-->
    <ContentView:FilterView Grid.Row="0" Grid.RowSpan="3" x:Name="filter" IsVisible="False"/>

    <ContentView:LoadingScreen Grid.Row="0" Grid.RowSpan="3" x:Name="LoadingScreen" IsVisible="{Binding IsBusy}" />
    
  </Grid>
</ContentPage>